Click or drag to resize

RhinoViewportSetToPlanView Method

[Missing <summary> documentation for "M:Rhino.Display.RhinoViewport.SetToPlanView(Rhino.Geometry.Point3d,Rhino.Geometry.Vector3d,Rhino.Geometry.Vector3d,System.Boolean)"]

Namespace:  Rhino.Display
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public bool SetToPlanView(
	Point3d planeOrigin,
	Vector3d planeXaxis,
	Vector3d planeYaxis,
	bool setConstructionPlane
)

Parameters

planeOrigin
Type: Rhino.GeometryPoint3d

[Missing <param name="planeOrigin"/> documentation for "M:Rhino.Display.RhinoViewport.SetToPlanView(Rhino.Geometry.Point3d,Rhino.Geometry.Vector3d,Rhino.Geometry.Vector3d,System.Boolean)"]

planeXaxis
Type: Rhino.GeometryVector3d

[Missing <param name="planeXaxis"/> documentation for "M:Rhino.Display.RhinoViewport.SetToPlanView(Rhino.Geometry.Point3d,Rhino.Geometry.Vector3d,Rhino.Geometry.Vector3d,System.Boolean)"]

planeYaxis
Type: Rhino.GeometryVector3d

[Missing <param name="planeYaxis"/> documentation for "M:Rhino.Display.RhinoViewport.SetToPlanView(Rhino.Geometry.Point3d,Rhino.Geometry.Vector3d,Rhino.Geometry.Vector3d,System.Boolean)"]

setConstructionPlane
Type: SystemBoolean

[Missing <param name="setConstructionPlane"/> documentation for "M:Rhino.Display.RhinoViewport.SetToPlanView(Rhino.Geometry.Point3d,Rhino.Geometry.Vector3d,Rhino.Geometry.Vector3d,System.Boolean)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:Rhino.Display.RhinoViewport.SetToPlanView(Rhino.Geometry.Point3d,Rhino.Geometry.Vector3d,Rhino.Geometry.Vector3d,System.Boolean)"]

Version Information

Rhino for Mac

Supported in: 5.4

Rhino for Windows

Supported in: 6.0
See Also